/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import * as elements from "./elements.cy.js"; //importiert alles aus elements.cy.js
import { check } from "./common";
import { checkFirstElementThatFulfillsConditionOfMissingElement } from "./common";
import { login } from "./loginLogout.cy.js";
import { logout } from "./loginLogout.cy.js";

describe("template spec local", () => {
  it("checks the styles of an element", function () {
    cy.visit("https://bup-ozg-ci-frontend.pidev.mgm-tp.com/");

    //preconditon: at least one answered message is available on overview page

    cy.log("**login**");
    login(cy);

    //open first entry which has no badge (andswered message)
    cy.log("**open answered message**");
    checkFirstElementThatFulfillsConditionOfMissingElement(cy, elements.OVERVIEWLIST, "NEU", (el) => {
      el.contains("Öffnen").click();
      //checkSpecificElement(cy, "buttonOpenAnsweredMessage", oeffnenButtonOfThisRow);
    });

    //checks button back
    cy.log("**check button back**");
    check(cy, "buttonBack", elements.BUTTONBACK);

    //checks message of clerk heading and subheading
    cy.log("**check message heading**");
    check(cy, "detailsMessageHeading", elements.MESSAGEHEADING);
    cy.log("**check message subheading**");
    check(cy, "detailsMessageSubheading", elements.MESSAGESUBHEADING);

    //checks heading above message of clerk
    cy.log("**check details heading**");
    check(cy, "detailsSubheading", elements.DETAILSSUBHEADING);

    //checks the frame of the clerks message
    cy.log("**check message frame**");
    check(cy, "detailsMessageFrame", elements.MESSAGEFRAME);

    //checks the clerks message
    cy.log("**check message**");
    check(cy, "detailsMessageText", elements.MESSAGE);

    //checks the heading of sent answer
    cy.log("**check sent answer heading**");
    check(cy, "detailsAnswerHeading", elements.ANSWERHEADING);

    //checks the frame of sent answer
    cy.log("**check sent answer frame**");
    check(cy, "detailsAnswerFrame", elements.ANSWERFRAME);

    //checks the sent answer
    cy.log("**check sent answer**");
    check(cy, "detailsAnswerText", elements.ANSWER);

    //checks the heading of answer form
    cy.log("**check answer form heading**");
    check(cy, "detailsAnswerFormHeading", elements.ANSWERFORMDHEADING);

    //checks the outer frame of the answer form
    cy.log("**check answer form frame**");
    check(cy, "detailsAnswerFormFrame", elements.ANSWERFORMFRAME);

    //checks the frame of the answer input field
    cy.log("**check answer input field**");
    check(cy, "detailsAnswerFormInputField", elements.ANSWERFORMINPUTFIELD);

    //checks the upload button
    cy.log("**check upload button**");
    check(cy, "detailsButtonUpload", elements.BUTTONUPLOAD);

    //checks the send button
    cy.log("**check send button**");
    check(cy, "detailsButtonSend", elements.BUTTONSEND);

    cy.log("**logout**");
    logout(cy);
  });
});
