/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
// overview page

export const INBOXHEADING = '[data-cy="overview-heading"]';
export const INBOXSUBHEADING = '[data-cy="overview-info-text"]';
export const OVERVIEWLIST = '[data-cy="overview-rueckfrage-list"]';

export function getFirstMessage(cy) {
  return cy.get(OVERVIEWLIST).find("li").first();
}

export function getFirstMessageHeading(cy) {
  return cy.get(OVERVIEWLIST).find("li").first().contains("Rückfrage vom");
}

export function getFirstMessageSubheading(cy) {
  return cy.get(OVERVIEWLIST).find("li").first().get('[data-cy="title-subtitle"]');
}

export function getFirstNewBadge(cy) {
  return cy.get(OVERVIEWLIST).find("li").first().contains("NEU");
}

export function getFirstOpenButtonNew(cy) {
  return cy.get(OVERVIEWLIST).find("li").first().contains("Öffnen");
}

// detail page

export const BUTTONBACK = '[data-cy="message-title-back-button"]';
export const MESSAGEHEADING = '[data-cy="title-heading"]';
export const MESSAGESUBHEADING = '[data-cy="title-subtitle"]';
export const DETAILSSUBHEADING = '[data-cy="detail-hint-text"]';
export const MESSAGEFRAME = '[data-cy="detail-clerk-message"]';
export const MESSAGE = '[data-cy="message-body-content"]';

export const ANSWERHEADING = '[data-cy="detail-user-message-0-heading"]';
export const ANSWERFRAME = '[data-cy="detail-user-message-0"]';
export const ANSWER = '[data-cy="message-body-0-content"]';

export const ANSWERFORMDHEADING = '[data-cy="detail-response-heading"]';
export const ANSWERFORMFRAME = '[data-cy="response-form-wrapper"]';
export const ANSWERFORMINPUTFIELD = '[data-cy="response-form-input"]';

export const BUTTONUPLOAD = '[data-cy="response-form-attachment-upload-btn"]';
export const BUTTONSEND = '[data-cy="response-form-submit-btn"]';
