/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
const encodedRueckfrageLink = "exampleEncodedRueckfrageLink"; // TODO: Korrigieren, wenn cypress Tests aktualisiert werden

describe("back button", () => {
  it("width", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get("#root > div > div.sc-brSaGm.lcvoEy > div.sc-csKJRI.iJKwQP").should("have.css", "width", "32px");
  });

  it("height", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get("#root > div > div.sc-brSaGm.lcvoEy > div.sc-csKJRI.iJKwQP").should("have.css", "height", "32px");
  });

  it("padding", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get("#root > div > div.sc-brSaGm.lcvoEy > div.sc-csKJRI.iJKwQP").should("have.css", "padding", "8px");
  });

  it("border-radius", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get("#root > div > div.sc-brSaGm.lcvoEy > div.sc-csKJRI.iJKwQP").should("have.css", "border-radius", "6px");
  });

  it("border", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get("#root > div > div.sc-brSaGm.lcvoEy > div.sc-csKJRI.iJKwQP").should(
      "have.css",
      "border",
      "1.11111px solid rgb(226, 232, 240)"
    );
  });

  it("gap", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get("#root > div > div.sc-brSaGm.lcvoEy > div.sc-csKJRI.iJKwQP").should("have.css", "gap", "8px");
  });
});

describe("message title head", () => {
  it("font-family", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get("#root > div > div.sc-brSaGm.lcvoEy > div:nth-child(3) > div.sc-kFCrIq.ktjMrh").should(
      "have.css",
      "font-family",
      "Nunito"
    );
  });

  it("font-size", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get("#root > div > div.sc-brSaGm.lcvoEy > div:nth-child(3) > div.sc-kFCrIq.ktjMrh").should(
      "have.css",
      "font-size",
      "20px"
    );
  });
  it("content", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get("#root > div > div.sc-brSaGm.lcvoEy > div:nth-child(3) > div.sc-kFCrIq.ktjMrh").contains("Rückfrage vom");
  });
});

describe("message title sub", () => {
  it("font-family", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get("#root > div > div.sc-brSaGm.lcvoEy > div:nth-child(3) > div.sc-irLvoH.iuLFfE").should(
      "have.css",
      "font-family",
      "Inter"
    );
  });

  it("font-size", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get("#root > div > div.sc-brSaGm.lcvoEy > div:nth-child(3) > div.sc-irLvoH.iuLFfE").should(
      "have.css",
      "font-size",
      "16px"
    );
  });
  it("content", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get("#root > div > div.sc-brSaGm.lcvoEy > div:nth-child(3) > div.sc-irLvoH.iuLFfE").contains("Ihr Antrag:");
  });
});

describe("content", () => {
  it("font-family", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get("#root > div > div.sc-ktwNLz.fHPZgW").should("have.css", "font-family", "Inter");
  });

  it("color", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get("#root > div > div.sc-ktwNLz.fHPZgW").should("have.css", "color", "#64748B");
  });
  it("content", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get("#root > div > div.sc-ktwNLz.fHPZgW").contains(
      "Bitte bearbeiten Sie die Rückfrage und senden die angeforderten Unterlagen zu."
    );
  });
});

describe("neu badge", () => {
  it("font-family", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get(".sc-eTNxZ").should("have.css", "font-family", "Inter");
  });

  it("color", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get(".sc-eTNxZ").should("have.css", "color", "#FACC15");
  });

  it("content", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get(".sc-eTNxZ").contains("NEU");
  });

  it("font-size", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get(".sc-eTNxZ").should("have.css", "font-size", "14px");
  });

  it("width", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get(".sc-eTNxZ").should("have.css", "width", "62");
  });

  it("height", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get(".sc-eTNxZ").should("have.css", "height", "28px");
  });

  it("padding", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get(".sc-eTNxZ").should("have.css", "padding", "4px, 16px, 4px, 16px");
  });

  it("border-radius", () => {
    cy.visit(`/detail/${encodedRueckfrageLink}`);
    cy.get(".sc-eTNxZ").should("have.css", "border-radius", "14px");
  });
});
