/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import * as methods from "./common";

const listEntries = [
  { testApplication: "31115-S3CSD3", inputSubject: "Subject 1", inputBody: "Body 1" },
  { testApplication: "31115-FZZWD3", inputSubject: "Subject 2", inputBody: "Body 2" },
  { testApplication: "31115-GQYTD3", inputSubject: "Subject 3", inputBody: "Body 3" },
  { testApplication: "31115-S3CSD3", inputSubject: "Subject 4", inputBody: "Body 4" }
];

it("should perform a login on BayernID", () => {
  methods.loginBayern(usernameBayern, passwordBayern);
});

it("should perfom a login on Alfa", () => {
  methods.loginAlfa(usernameAlfa, passwordAlfa);
});

it("should answer multiple applications", () => {
  methods.loginAlfa(methods.usernameAlfa, methods.passwordAlfa);
  listEntries.forEach((testEntry) => {
    cy.contains(testEntry.testApplication).click();
    methods.answerApplicant(testEntry.inputSubject, testEntry.inputBody);
    cy.get(".back-button > .mat-mdc-button-touch-target").click();
    cy.wait(1000); //wait for 1sec
  });
  methods.throwOutApplication("31115-S3CSD3");
  methods.acceptApplication("31115-FZZWD3");
});
