/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
// environment variables
node_env="development"
antragsraum_host="http://localhost:8080/"
info_manager_host="https://localhost:8084/"


const fs = require('fs');

fs.writeFileSync('./.env', '');

environmentVariables = {
    NODE_ENV: node_env,
    ANTRAGSRAUM_HOST: antragsraum_host,
    INFO_MANAGER_HOST: info_manager_host
}

for (const [key, value] of Object.entries(environmentVariables)) {
    line = key+"="+value
    fs.appendFile('.env', line+"\n", function (err) {
        if (err) {
            console.error(".env file creating failed"); 
        } 
      })
   
  }

