/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
const config = {
  preset: "ts-jest",
  testEnvironment: "jsdom",
  roots: ["src"],
  moduleNameMapper: {
    "^.+\\.(css|less)$": "<rootDir>/src/test-config/cssStub.ts",
    "^.+\\.(svg|png)$": "<rootDir>/src/test-config/imgStub.ts",
    uuid: require.resolve("uuid")
  },
  collectCoverageFrom: [
    "**/*.{ts,tsx}",
    "!**/node_modules/**",
    "!**/test-config/**",
    "!**/locales.ts",
    "!**/hooks/**",
    "!**/routes/**",
    "!src/*.{ts,tsx}" // ignore files directly in src (App.tsx etc.)
  ],
  setupFilesAfterEnv: ["<rootDir>/jest-setup.ts"],
  reporters: [
    "default",
    [
      "jest-junit",
      {
        suiteName: "ozg_frontend",
        suiteNameTemplate: "{title}",
        classNameTemplate: "ozg_frontend.{suitename}",
        titleTemplate: "{title}",
        outputName: "jest-report.xml",
        outputDirectory: "build/reports/"
      }
    ]
  ]
};
module.exports = config;
