import { fireEvent, render, screen } from "@testing-library/react";
import { Provider } from "react-redux";
import { store } from "../../../store";
import React from "react";
import LocaleButton from "./LocaleButton";

describe("LocaleButton", () => {
  beforeEach(() => {
    render(
      <Provider store={store}>
        <LocaleButton />
      </Provider>
    );
  });

  test("renders Button", () => {
    expect(screen.getByTestId("locale-change-btn")).toBeInTheDocument();
  });

  test("switch locale to en after click", () => {
    fireEvent.click(screen.getByTestId("locale-change-btn"));
    expect(document.documentElement.lang).toEqual("en");
  });

  test("switch locale back to en after another click", () => {
    fireEvent.click(screen.getByTestId("locale-change-btn"));
    expect(document.documentElement.lang).toEqual("de");
  });
});
