import React from "react";
import OverviewListItemTooltip from "./OverviewListItemTooltip";
import { render, screen } from "@testing-library/react";
import { store } from "../../../../../../store";
import { Provider } from "react-redux";

describe("Tooltip", () => {
  it("should be visibile when showToolTip is true", () => {
    render(
      <Provider store={store}>
        <OverviewListItemTooltip showTooltip={true} trustLevel={"HIGH"} />
      </Provider>
    );
    const tooltip: HTMLElement = screen.getByTestId(`overview-rueckfrage-tooltip`);
    expect(tooltip).toBeVisible();
  });

  it("should not be visibile when showToolTip is false", () => {
    render(
      <Provider store={store}>
        <OverviewListItemTooltip showTooltip={false} trustLevel={"HIGH"} />
      </Provider>
    );
    const tooltip: HTMLElement = screen.getByTestId(`overview-rueckfrage-tooltip`);
    expect(tooltip).not.toBeVisible();
  });
});
