/*
 * Copyright (c) 2023. Das Land Schleswig-Holstein vertreten durch den Ministerpräasidenten des
 * Landes Schleswig-Holstein Staatskanzlei Abteilung Digitalisierung und zentrales IT-Management der Landesregierung.
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import React from "react";
import { contentMaxWidth, mobileMaxWidth, tabletMaxWidth } from "../../constants";
import styled from "styled-components";

interface ContainerPros extends React.PropsWithChildren {}

/**
 * A Container component for the whole page layout.
 */
export function Container(props: ContainerPros) {
  return <StyledContainer>{props.children}</StyledContainer>;
}

const StyledContainer = styled.div`
  padding: 32px 56px;
  margin: 0 auto;
  display: grid;
  grid-template-columns: 1fr;
  max-width: ${contentMaxWidth}px;

  @media screen and (max-width: ${tabletMaxWidth}px) {
    padding: 16px 16px;
  }

  @media screen and (max-width: ${mobileMaxWidth}px) {
    padding: 16px 16px;
  }
`;
