/*
 * Copyright (c) 2023. Das Land Schleswig-Holstein vertreten durch den Ministerpräasidenten des
 * Landes Schleswig-Holstein Staatskanzlei Abteilung Digitalisierung und zentrales IT-Management der Landesregierung.
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import React from "react";
import { ErrorPage } from "./ErrorPage";
import { render, screen } from "@testing-library/react";

describe("Error Page tests", () => {
  test("displays Not Found page", () => {
    render(
      <ErrorPage
        errorType="notFound"
        headline="Not found"
        message="message"
        goBackTo="go back to"
        linkText="here"
        errorIconAltText="error alt"
        notFoundIconAltText="not found alt"
      />
    );
    expect(screen.getByRole("heading")).toHaveTextContent("Not found");
    expect(screen.getByAltText("not found alt")).toBeInTheDocument();
  });

  test("displays generic error page", () => {
    render(
      <ErrorPage
        errorType="generic"
        message="message"
        goBackTo="go back to"
        linkText="here"
        errorIconAltText="error alt"
        notFoundIconAltText="not found alt"
      />
    );
    expect(screen.queryByRole("heading")).not.toBeInTheDocument();
    expect(screen.getByAltText("error alt")).toBeInTheDocument();
  });
});
