/*
 * Copyright (c) 2023. Das Land Schleswig-Holstein vertreten durch den Ministerpräasidenten des
 * Landes Schleswig-Holstein Staatskanzlei Abteilung Digitalisierung und zentrales IT-Management der Landesregierung.
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

import * as React from "react";
import styled from "styled-components";
import { COLORS } from "../../constants";

export interface BadgeProps extends React.HTMLAttributes<HTMLDivElement> {}

/**
 * Displays text on a rounded badge background.
 */
export function Badge(props: BadgeProps) {
  return <StyledBadge {...props} />;
}

const StyledBadge = styled.div`
  align-items: center;
  background-color: ${COLORS.YELLOW};
  border-color: transparent;
  border-radius: 14px;
  border-width: 1px;
  color: ${COLORS.WHITE};
  display: flex;
  justify-content: center;
  font-size: 0.875rem;
  font-weight: 500;
  line-height: 1.25rem;
  padding: 4px 16px 4px 16px;
  width: fit-content;
`;
