/*
 * Copyright (c) 2023. Das Land Schleswig-Holstein vertreten durch den Ministerpräasidenten des
 * Landes Schleswig-Holstein Staatskanzlei Abteilung Digitalisierung und zentrales IT-Management der Landesregierung.
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import React from "react";
import styled from "styled-components";
import { COLORS } from "../../constants";
import { twoColumnGridContainer } from "../../commonStyles";

interface FrameProps extends React.HTMLAttributes<HTMLDivElement> {}

/**
 * A frame component to be used as a container.
 */
export function Frame({ children, ...props }: FrameProps) {
  return <StyledFrame {...props}>{children}</StyledFrame>;
}

const StyledFrame = styled.div`
  min-height: 406px;
  padding: 24px;
  border-radius: 12px;
  border: 1px solid ${COLORS.LAVENDER_MIST};
  background-color: ${COLORS.ALABASTER};
  ${twoColumnGridContainer}
`;
