/*
 * Copyright (c) 2023. Das Land Schleswig-Holstein vertreten durch den Ministerpräasidenten des
 * Landes Schleswig-Holstein Staatskanzlei Abteilung Digitalisierung und zentrales IT-Management der Landesregierung.
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { render, screen } from "@testing-library/react";
import React from "react";
import { Heading } from "./Heading";

describe("Heading component tests", () => {
  test("displays h1", () => {
    render(<Heading headingLevel={1}>Heading 1</Heading>);
    expect(screen.getByRole("heading", { level: 1 })).toHaveTextContent("Heading 1");
  });
  test("displays h2", () => {
    render(<Heading headingLevel={2}>Heading 2</Heading>);
    expect(screen.getByRole("heading", { level: 2 })).toHaveTextContent("Heading 2");
  });
  test("displays h3", () => {
    render(<Heading headingLevel={3}>Heading 3</Heading>);
    expect(screen.getByRole("heading", { level: 3 })).toHaveTextContent("Heading 3");
  });
  test("displays h4", () => {
    render(<Heading headingLevel={4}>Heading 4</Heading>);
    expect(screen.getByRole("heading", { level: 4 })).toHaveTextContent("Heading 4");
  });
  test("displays h5", () => {
    render(<Heading headingLevel={5}>Heading 5</Heading>);
    expect(screen.getByRole("heading", { level: 5 })).toHaveTextContent("Heading 5");
  });
  test("displays h6", () => {
    render(<Heading headingLevel={6}>Heading 6</Heading>);
    expect(screen.getByRole("heading", { level: 6 })).toHaveTextContent("Heading 6");
  });
  test("displays h1 if level not specified", () => {
    render(<Heading>Heading 1</Heading>);
    expect(screen.getByRole("heading", { level: 1 })).toHaveTextContent("Heading 1");
  });
});
