/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { RueckfrageHeader } from "../../api/types";
import { getLatestRueckfrageActivityDate } from "./getLatestRueckfrageActivityDate";
import { isRueckfrageHeaderMarkedNew } from "./isRueckfrageMarkedNew";

export function sortRueckfrageHeaders(headerA: RueckfrageHeader, headerB: RueckfrageHeader): number {
  if (isRueckfrageHeaderMarkedNew(headerA) && !isRueckfrageHeaderMarkedNew(headerB)) {
    return -1;
  } else if (!isRueckfrageHeaderMarkedNew(headerA) && isRueckfrageHeaderMarkedNew(headerB)) {
    return 1;
  } else {
    return getLatestRueckfrageActivityDate(headerB) - getLatestRueckfrageActivityDate(headerA);
  }
}
