/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
const path = require("path");

module.exports = {
  webpackConfig: Object.assign({}, require("./webpack.config.js"), {
    devServer: {
      port: 6060
    }
  }),
  propsParser: require("react-docgen-typescript").withCustomConfig("./tsconfig.json").parse,
  assetsDir: "src/assets/",
  styleguideDir: "docs/build/output",
  sections: [
    {
      name: "Buttons",
      components: "src/components/Buttons/**/[A-Z]*.tsx",
      description: "Button components."
    },
    {
      name: "Data Display",
      components: "src/components/Data Display/**/[A-Z]*.tsx",
      description: "Components to display data."
    },
    {
      name: "Data Entry",
      components: "src/components/Data Entry/**/[A-Z]*.tsx",
      description: "Components to enter data."
    },
    {
      name: "Core",
      components: "src/components/Core/**/[A-Z]*.tsx",
      description: "Core site components, e.g. Header and Footer."
    },
    {
      name: "Compositions",
      components: "src/components/Compositions/**/[A-Z]*.tsx",
      description: "Compositions from the above widgets in components ready to use."
    }
  ],
  require: [path.join(__dirname, "src/assets/App.css")]
};
